curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"properties": {}
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Ce point de terminaison d’API crée un lot de campagnes. Le nombre maximum d’éléments dans une requête de lot est de 50. Il n’est pas garanti que les campagnes dans la réponse soient dans le même ordre que celui fourni dans la requête.
curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"properties": {}
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Produits pris en charge
Portées requises
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
La date et l'heure de la fin de l'opération par lot, formatées en tant que chaîne date-heure.
Show child attributes
La date et l'heure du début de l'opération par lot, formatées en tant que chaîne date-heure.
Statut actuel de l'opération par lots, avec les valeurs possibles suivantes : ANNULÉ, TERMINÉ, EN ATTENTE, EN COURS DE TRAITEMENT.
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Une carte des liens associés à l'opération par lot.
Show child attributes
La date et l'heure auxquelles l'opération par lot a été demandée, formatées en tant que chaîne date-heure.